<?php 
if( ! class_exists( 'BP_Group_Extension' ) ) {
	return ;//when group is not active
}


class BuddyDev_Display_Content_Extension extends BP_Group_Extension {

	public $visibility = 'public'; // 'public' will show your extension to non-group members, 'private' means you have to be a member of the group to view your extension.
	public $enable_create_step = false; // disable create step
	public $enable_nav_item = false; //do not show in front end
	public $enable_edit_item = false; // If your extensi

	public function __construct () {
		
		$enable = false;
		
		//in our case we only want to show it for moderator/admin
		if( bp_is_group() ) {
			
			$group = groups_get_current_group();
			$user_id = get_current_user_id();
			//only enable when the user is group admin or Moderator
			$enable = groups_is_user_admin( $user_id, $group->id ) || groups_is_user_mod( $user_id, $group->id );
		}
		
		$this->enable_nav_item = $enable;
		
		$this->name = __( 'Help & Support' );
		$this->slug = 'help-support';//url slug

		$this->create_step_position = 22; //where in the create nav?
		$this->nav_item_position = 32;
		
		
	}


	public function display ( $group_id = null ) {
		//create my-content.php inside yourtheme/buddypress/groups/single/ and put all your content there
		bp_get_template_part( 'groups/single/my-content'); //you can change this location to as you please 
		//or you can comment the above line and print all content right here
		//or
		//you can be creative and output contents from a post here, seriously, that is much easy
	}


}


bp_register_group_extension( 'BuddyDev_Display_Content_Extension' );
